# ifndef NO_WHAT
/*
 *      SCCS file type - Emulator Include File
 *
 *      What identification string:
 */
static char *_S_hEventType = "@(#)EventType.h	3.2";
# endif

/*
 *	EventType = 0 .. 255
 *
 *	Predefined System EventType values:
 *
 *	SysEvent = ( ET_Timer, ET_BPT, ..., ET_SecureAttn )
 */
translate(EventType,char)
translate(SysEvent,char)

/********* Event Types   *************/

/* event type limits for different types */
translate( MAX_ET_HARD, 7)
translate( MIN_ET_IPC, 24)


translate( ET_NullEvent,	0 )

/* hardware errors */

translate( ET_MemError,         1 )
translate( ET_BPT,		2 )
translate( ET_IOT,		3 )
translate( ET_CPUerror,		4 )
translate( ET_IllegInstr,	5 )
translate( ET_MemMgmt,		6 )
translate( ET_FloatingPt,	7 )

/* timer interrupt signals */

translate( ET_TimerToggle,     8 )
translate( ET_TimerAlarm,      9 )


translate( ET_EmulCall,         10 )


/* asynchronous I/O completion */

translate( ET_IOcomplete,       11 )

/* ipc's sent by K_signal     */

translate( ET_CoopKill,         15 )



/*** event types sent by IPCs  ***/
/*** no event types under 23   ***/

translate( ET_Synchro,          24 )
translate( ET_Network,          25 )
translate( ET_DirMgr,           26 )

translate( ET_Suspend,          27 )


/* User (Emulator) defined event types */

/* Event types for ETTY                */

translate( TTY_IO_COMPLETE,     128)
translate( START_READ,          129)
translate( START_WRITE,         130)
translate( START_ECHO,          131)
translate( READ_COMPLETE,       132)
translate( WRITE_COMPLETE,      133)
translate( NEW_CRM,             134)
translate( NEW_CWM,             135)

/* sent from ESG */
translate( ET_SIGNAL_PENDING,   140)
translate( ET_SIGNAL,           141)

/* EPS */
translate( ET_ForkStat,         150)
translate( ET_ChildStopped,     151)    /* used for exit and ptracing */
translate( ET_ChildTimes,       152)



/* EFI: await channels... */
translate( EFI_timeout_event,   160)
translate( EPP_wake_up_event,   161)
translate( TUC_wake_up_event,   162)

/* Event types for EBC    */
translate( EBC_START_IO,	163)
translate( EBC_IO_COMPLETE,	164)
translate( EBC_NO_BUFFERS,	165)
translate( EBC_OP_DONE,		166)
